package com.hc.gpbusiness.service;


import com.hc.gpbusiness.model.WebModules;
import org.springframework.stereotype.Component;
import com.github.pagehelper.PageInfo;


/**
 * 板块表(Module)表服务接口
 *
 * @author java
 * @since 2020-07-29 16:23:10
 */

@Component
public interface WebModulesService {

    /**
     * 通过ID查询单条数据
     *
     * @param moduleId 主键
     * @return 实例对象
     */
    WebModules queryById(Integer moduleId);

    /**
     * 新增数据
     *
     * @param modules 实例对象
     * @return 实例对象
     */
    WebModules insert(WebModules modules);

    /**
     * 修改数据
     *
     * @param modules 实例对象
     * @return 实例对象
     */
    WebModules update(WebModules modules);

    /**
     * 通过主键删除数据
     *
     * @param moduleId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer moduleId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}